<div class="pdf-container mx-auto">
  <button [routerLink]="'/page/medicalrecord'" mat-raised-button> Back </button>
  <button mat-raised-button (click)="downloadPdf()" color="warn" *ngIf="currentUser.Kd_Unit_RS=='TRF' || currentUser.Kd_Unit_RS=='RM' || currentUser.Kd_Unit_RS=='LAB' || currentUser.Kd_Unit_RS=='CMK'">Download PDF</button>

  <div class="text-center mt-32" *ngIf="isLoading">
    <h1>Memuat arsip digital...</h1>
    <mat-progress-spinner 
        class="mx-auto"
        [color]="'accent'"
        [mode]="'determinate'"
        [value]="PDFProgressData">
    </mat-progress-spinner>
  </div>
  <pdf-viewer 
    [src]="src" 
    [original-size]="false" 
    [render-text]="true" 
    [fit-to-page]="true" 
    [show-all]="true" 
    class="w-100 mx-auto"
    style="width:100vw;"
    (on-progress)="pdfProgress($event)"
    (after-load-complete)="loadPdfComplete($event)"
  ></pdf-viewer>
</div>